Merge branch 'master' of gitorious.org:f-droid/fdroiddata

This commit is contained in:
Ciaran Gultnieks 2013-08-25 07:39:52 +01:00
commit 4f78449fa1
14 changed files with 171 additions and 28 deletions

View file

@ -0,0 +1,15 @@
Only latest release appears to be hosted on http://zlib.net/
diff --git a/externals/zlib/configure.sh b/externals/zlib/configure.sh
index e6d4103..c35f74c 100755
--- a/externals/zlib/configure.sh
+++ b/externals/zlib/configure.sh
@@ -16,7 +16,7 @@ fi
# Download
echo "Zlib Downloading new upstream..."
-curl -L http://zlib.net/zlib-1.2.7.tar.bz2 > $SRCLOC/upstream.tar.bz2 || { echo "Failed to download!" 1>&2; exit; }
+curl -L http://sourceforge.net/projects/libpng/files/zlib/1.2.7/zlib-1.2.7.tar.bz2/download > $SRCLOC/upstream.tar.bz2 || { echo "Failed to download!" 1>&2; exit; }
# Extract
echo "Zlib Extracting upstream..."

View file

@ -0,0 +1,25 @@
Category:Games
License:GPLv3
Web Site:http://quentinloos.be/projets/manille
Source Code:https://github.com/Kent1/Manille
Issue Tracker:https://github.com/Kent1/Manille/issues
Auto Name:Manille
Summary:Un carnet de points pour la manille
Description:
Manille est une application Android dont le but est dutiliser son smartphone
comme carnet de points pour le célèbre jeu de cartes, la manille.
Fini de griffonner le verso dun dessous verre en carton Jupiler, cette
application deviendra indispensable chez tous les passionnés de manille.
.
Repo Type:git
Repo:https://github.com/Kent1/Manille.git
Build Version:1.0,1,c995252ee8d927e16827d73f6b3f2002906d4f2b,gradle=yes
Auto Update Mode:Version v%v
Update Check Mode:Tags
Current Version:1.0
Current Version Code:1

View file

@ -0,0 +1,25 @@
Category:System
License:Apache2
Web Site:
Source Code:https://github.com/adstro/launch-app-ops
Issue Tracker:https://github.com/adstro/launch-app-ops/issues
Auto Name:Launch App Ops
Summary:Show a hidden screen
Description:
In Android 4.3 there is a new activity/screen, not accessible from settings,
called App Ops, where you can manage permissions for different apps.
This app simply allows you to launch this activity.
.
Repo Type:git
Repo:https://github.com/adstro/launch-app-ops.git
Build Version:1.0,1,6c1b72946,subdir=app,gradle=yes,\
prebuild=sed -i 's/18.0.1/18.0.1/g' build.gradle
Auto Update Mode:None
Update Check Mode:RepoManifest
Current Version:1.0
Current Version Code:1

View file

@ -1,8 +1,6 @@
Category:System Category:System
License:GPLv3 License:GPLv3
Web Site:http://sites.google.com/site/ghostcommander1/ Web Site:http://sites.google.com/site/ghostcommander1/
#There is something wrong here
#Source Code:http://sourceforge.net/projects/ghostcommander/develop
Source Code:https://ghostcommander.svn.sourceforge.net/viewvc/ghostcommander Source Code:https://ghostcommander.svn.sourceforge.net/viewvc/ghostcommander
Issue Tracker:http://sourceforge.net/tracker/?group_id=311417 Issue Tracker:http://sourceforge.net/tracker/?group_id=311417
Donate:http://sourceforge.net/donate/index.php?group_id=311417 Donate:http://sourceforge.net/donate/index.php?group_id=311417
@ -40,14 +38,15 @@ Build Version:1.40,160,302,\
prebuild=sed -ri 's/(debuggable)="true"/\1="false"/' AndroidManifest.xml prebuild=sed -ri 's/(debuggable)="true"/\1="false"/' AndroidManifest.xml
Build Version:1.40.1,163,307 Build Version:1.40.1,163,307
Build Version:1.40.2,164,314 Build Version:1.40.2,164,314
Build Version:1.41,180,!352 but need to check dex usage and add option to ignore in scanner
Build Version:1.42,190,!368 but need to check dex usage and add option to ignore in scanner
# DexClassLoader seems to be used for the samba/sftp plugins # DexClassLoader seems to be used for the samba/sftp plugins
Build Version:1.43.3b1,210,407,\ Build Version:1.43.3b1,210,407,\
scanignore=build/com.ghostsq.commander/src/com/ghostsq/commander/adapters/CA.java scanignore=build/com.ghostsq.commander/src/com/ghostsq/commander/adapters/CA.java
# http://sourceforge.net/p/gc-ai1/code is supposed to build GC & plugins
# but some files are currently missing. see
# https://f-droid.org/forums/topic/sftp-plugin-for-ghost-commander
Auto Update Mode:None Auto Update Mode:None
#Update Check Mode:Market # also on gplay; apks on website
Update Check Mode:None Update Check Mode:None
Current Version:1.50.1 Current Version:1.50.1
Current Version Code:214 Current Version Code:214

View file

@ -3,7 +3,7 @@ License:GPLv3
Web Site:http://code.google.com/p/bitcoin-wallet/ Web Site:http://code.google.com/p/bitcoin-wallet/
Source Code:http://code.google.com/p/bitcoin-wallet/source/list?name=prod Source Code:http://code.google.com/p/bitcoin-wallet/source/list?name=prod
Issue Tracker:http://code.google.com/p/bitcoin-wallet/issues/list Issue Tracker:http://code.google.com/p/bitcoin-wallet/issues/list
Bitcoin:1GQs8ma4QktseTyhMh1FgPhC7KjoM9HH46 Bitcoin:1HkX6X8EakdsgAysL93oKrWiXGPbFiG1xV
Auto Name:Bitcoin Auto Name:Bitcoin
Summary:Store digital currency Summary:Store digital currency
@ -17,7 +17,7 @@ Description:
* Manages blockchain on your device * Manages blockchain on your device
* System notifications for Bitcoin connectivity and received coins * System notifications for Bitcoin connectivity and received coins
* App widget for Bitcoin balance * App widget for Bitcoin balance
* Export private keys to local storage encrypted with a password * Back up private keys to local storage encrypted with a password
A few tens of MiB must be downloaded to set up the blockchain and a couple A few tens of MiB must be downloaded to set up the blockchain and a couple
more per month subsequently to keep it updated. more per month subsequently to keep it updated.
@ -88,13 +88,20 @@ build=$$MVN3$$ clean install -DskipTests -f BitcoinJWallet-origin/pom.xml,\
maven=yes,\ maven=yes,\
bindir=wallet/target bindir=wallet/target
Build Version:3.18,139,a78c08d4254e,\
srclibs=BitcoinJWallet@1134572f61,\
prebuild=sed -i '30\,33d' pom.xml && cp -r $$BitcoinJWallet$$/ . && \
rm -rf market/,\
build=$$MVN3$$ clean install -DskipTests -f BitcoinJWallet/pom.xml,\
maven=yes,\
bindir=wallet/target
# Build from prod (production) branch which cherry picks some old commits and commits after tags # Build from prod (production) branch which cherry picks some old commits and commits after tags
# Use specific commit instead of git fetch origin && git checkout origin/prod # Use specific commit instead of git fetch origin && git checkout origin/prod
# See wallet/README or git log for info about which BitcoinJ branch/tag to use # See wallet/README or git log for info about which BitcoinJ branch/tag to use
Auto Update Mode:None Auto Update Mode:None
# RM/Tags don't work # RM/Tags don't work; also on gplay
#Update Check Mode:Market
Update Check Mode:None Update Check Mode:None
Current Version:3.15 Current Version:3.18
Current Version Code:136 Current Version Code:139

View file

@ -3,9 +3,9 @@ License:GPLv3
Web Site:http://code.google.com/p/bitcoin-wallet/ Web Site:http://code.google.com/p/bitcoin-wallet/
Source Code:http://code.google.com/p/bitcoin-wallet/source/checkout Source Code:http://code.google.com/p/bitcoin-wallet/source/checkout
Issue Tracker:http://code.google.com/p/bitcoin-wallet/issues/list Issue Tracker:http://code.google.com/p/bitcoin-wallet/issues/list
Bitcoin:1GQs8ma4QktseTyhMh1FgPhC7KjoM9HH46 Bitcoin:1HkX6X8EakdsgAysL93oKrWiXGPbFiG1xV
Summary:Testing version of Bitcoin Wallet Summary:Testing version of Bitcoin
Description: Description:
A bitcoin wallet, allowing you to store, send and receive bitcoins on your A bitcoin wallet, allowing you to store, send and receive bitcoins on your
device, both via QR codes and NFC. When run for the first time, device, both via QR codes and NFC. When run for the first time,
@ -71,11 +71,19 @@ build=$$MVN3$$ clean install -DskipTests -f BitcoinJWallet-origin/pom.xml,\
maven=yes,\ maven=yes,\
bindir=wallet/target bindir=wallet/target
Build Version:3.18-test,139,v3.18,\
srclibs=BitcoinJWallet@v0.10.1,\
prebuild=sed -i '30\,33d' pom.xml && cp -r $$BitcoinJWallet$$/ . && \
rm -rf market/,\
build=$$MVN3$$ clean install -DskipTests -f BitcoinJWallet/pom.xml,\
maven=yes,\
bindir=wallet/target
# Do other wallet app first: can use tags here because security is less important # Do other wallet app first: can use tags here because security is less important
# Don't forget the version name though! # Don't forget the version name though!
Auto Update Mode:None Auto Update Mode:None
# Just follow main wallet app # Just follow main wallet app
Update Check Mode:Static Update Check Mode:Static
Current Version:3.15-test Current Version:3.18-test
Current Version Code:135 Current Version Code:139

View file

@ -8,7 +8,7 @@ Name:Yaacc
Auto Name:YAACC Auto Name:YAACC
Summary:UPNP Client and Server Summary:UPNP Client and Server
Description: Description:
Allowes to play media from UPNP/DLNA devices in your network on your android device Allows you to play media from UPNP/DLNA devices in your network on your android device
or any capable UPNP device in your network. or any capable UPNP device in your network.
It is also possible to start an UPNP server on your device in order to play media from your It is also possible to start an UPNP server on your device in order to play media from your
device on any UPNP renderer in your network. device on any UPNP renderer in your network.

View file

@ -56,7 +56,8 @@ cp ../DataExtractionOSM/build/OsmAndMapCreator.jar libs/ && \
zip -d libs/OsmAndMapCreator.jar net/osmand/LogUtil.class && \ zip -d libs/OsmAndMapCreator.jar net/osmand/LogUtil.class && \
cp -r ../DataExtractionOSM/build/lib/ libs/ cp -r ../DataExtractionOSM/build/lib/ libs/
Build Version:1.5-MIPS,143,r1.5,subdir=OsmAnd,\ # branch r1.5
Build Version:1.5-MIPS,143,0eb598d815c,subdir=OsmAnd,\
forcevercode=yes,\ forcevercode=yes,\
rm=SherlockBar/build.xml,\ rm=SherlockBar/build.xml,\
encoding=utf-8,\ encoding=utf-8,\
@ -74,7 +75,8 @@ build=ANDROID_SDK=$$SDK$$ ANDROID_NDK=$$NDK$$ OSMAND_MIPS_ONLY=true ./ndk-build.
ant build -f ../OsmAnd-java/build.xml,\ ant build -f ../OsmAnd-java/build.xml,\
buildjni=no buildjni=no
Build Version:1.5-X86,144,r1.5,subdir=OsmAnd,\ # branch r1.5
Build Version:1.5-X86,144,0eb598d815c,subdir=OsmAnd,\
forcevercode=yes,\ forcevercode=yes,\
rm=SherlockBar/build.xml,\ rm=SherlockBar/build.xml,\
encoding=utf-8,\ encoding=utf-8,\
@ -92,19 +94,21 @@ build=ANDROID_SDK=$$SDK$$ ANDROID_NDK=$$NDK$$ OSMAND_X86_ONLY=true ./ndk-build.s
ant build -f ../OsmAnd-java/build.xml,\ ant build -f ../OsmAnd-java/build.xml,\
buildjni=no buildjni=no
Build Version:1.5-ARM,145,r1.5,subdir=OsmAnd,\ # branch r1.5
Build Version:1.5-ARM,145,0eb598d815c,subdir=OsmAnd,\
forcevercode=yes,\ forcevercode=yes,\
rm=SherlockBar/build.xml,\ rm=SherlockBar/build.xml,\
encoding=utf-8,\ encoding=utf-8,\
srclibs=tools@bfee93a8d;core@r1.1.4;resources@836be71481,\ srclibs=tools@bfee93a8d;core@r1.1.4;resources@836be71481,\
extlibs=perms-osmand_145.diff,\ extlibs=perms-osmand_145.diff;osmand-zlib-url_145.patch,\
patch=remove_analytics_android_145.diff,\ patch=remove_analytics_android_145.diff,\
prebuild=rm ../../core/OsmAnd-java/src/net/osmand/plus/download/DownloadTracker.java && \ prebuild=rm ../../core/OsmAnd-java/src/net/osmand/plus/download/DownloadTracker.java && \
sed -i 's/debuggable="true"/debuggable="false"/g' AndroidManifest.xml && \ sed -i 's/debuggable="true"/debuggable="false"/g' AndroidManifest.xml && \
$$SDK$$/tools/android update project -p ../SherlockBar && \ $$SDK$$/tools/android update project -p ../SherlockBar && \
sed -i 's/app_version">[^<]*/app_version">1.5-ARM/' \ sed -i 's/app_version">[^<]*/app_version">1.5-ARM/' \
res/values/no_translate.xml && sed -i '/keys/d' ant.properties && \ res/values/no_translate.xml && sed -i '/keys/d' ant.properties && \
cd ../../core/ && git apply ../android/OsmAnd/libs/perms-osmand_145.diff,\ cd ../../core/ && git apply ../android/OsmAnd/libs/perms-osmand_145.diff && \
git apply ../android/OsmAnd/libs/osmand-zlib-url_145.patch,\
build=ANDROID_SDK=$$SDK$$ ANDROID_NDK=$$NDK$$ OSMAND_ARM_ONLY=true ./ndk-build.sh && \ build=ANDROID_SDK=$$SDK$$ ANDROID_NDK=$$NDK$$ OSMAND_ARM_ONLY=true ./ndk-build.sh && \
ant jar native-libs -f $$tools$$/OsmAndMapCreator/build.xml && \ ant jar native-libs -f $$tools$$/OsmAndMapCreator/build.xml && \
ant build -f ../OsmAnd-java/build.xml,\ ant build -f ../OsmAnd-java/build.xml,\

View file

@ -74,6 +74,9 @@ find . -type f -print0 | xargs -0 sed -i 's/org.rootcommands/org.sufficientlysec
cp android-libs/Donations/ant-templates/other/DonationsConfig.java \ cp android-libs/Donations/ant-templates/other/DonationsConfig.java \
android-libs/Donations/src/org/donations/,buildjni=yes android-libs/Donations/src/org/donations/,buildjni=yes
Build Version:2.5,44,!gradle wip v2.5,subdir=AdAway,buildjni=yes,gradle=yes,preassemble=renameExecutables,\
patch=no-signing-44.patch,prebuild=mv ../libraries libraries
Auto Update Mode:None Auto Update Mode:None
Update Check Mode:Tags Update Check Mode:Tags
Current Version:2.5 Current Version:2.5

View file

@ -0,0 +1,40 @@
diff --git a/AdAway/build.gradle b/AdAway/build.gradle
index 378ce1c..951466d 100644
--- a/AdAway/build.gradle
+++ b/AdAway/build.gradle
@@ -16,28 +16,6 @@ android {
targetSdkVersion 17
}
- /*
- * To sign release build, create file gradle.properties in .gradle/ with this content:
- *
- * signingStoreLocation=/home/key.store
- * signingStorePassword=xxx
- * signingKeyAlias=alias
- * signingKeyPassword=xxx
- */
- signingConfigs {
- myConfig {
- storeFile file(signingStoreLocation)
- storePassword signingStorePassword
- keyAlias signingKeyAlias
- keyPassword signingKeyPassword
- }
- }
-
- buildTypes {
- release {
- signingConfig signingConfigs.myConfig
- }
- }
}
/**
@@ -65,4 +43,4 @@ task renameExecutables(type: Copy) {
}
-build.dependsOn renameExecutables
\ No newline at end of file
+build.dependsOn renameExecutables

View file

@ -29,6 +29,10 @@ patch=packageid.patch,\
prebuild=find . -type f -print0 | xargs -0 sed -i 's/com.fsck.k9/org.fdroid.k9/g' && \ prebuild=find . -type f -print0 | xargs -0 sed -i 's/com.fsck.k9/org.fdroid.k9/g' && \
echo 'android.jar=$$SDK$$/platforms/android-17/android.jar' > ant.properties echo 'android.jar=$$SDK$$/platforms/android-17/android.jar' > ant.properties
Build Version:1.3-fdroid,4,release-v1.3,forceversion=yes,patch=packageid.patch,\
prebuild=find . -type f -print0 | xargs -0 sed -i 's/com.fsck.k9/org.fdroid.k9/g' && \
echo 'android.jar=$$SDK$$/platforms/android-17/android.jar' > ant.properties
Auto Update Mode:None Auto Update Mode:None
Update Check Mode:None Update Check Mode:None
Current Version:1.3 Current Version:1.3

View file

@ -1,8 +1,9 @@
Category:System Category:System
License:GPLv3+ License:GPLv3+
Web Site:http://f-droid.org Web Site:https://f-droid.org
Source Code:http://gitorious.org/f-droid/fdroidclient Source Code:https://gitorious.org/f-droid/fdroidclient
Issue Tracker:http://f-droid.org/repository/issues Issue Tracker:https://f-droid.org/repository/issues
Donate:https://f-droid.org/about
FlattrID:343053 FlattrID:343053
Bitcoin:15u8aAPK4jJ5N8wpWJ5gutAyyeHtKX5i18 Bitcoin:15u8aAPK4jJ5N8wpWJ5gutAyyeHtKX5i18

View file

@ -1,7 +1,5 @@
# previously known as com.googlecode.androidcells
Category:Internet Category:Internet
# https://f-droid.org/forums/topic/android-cells-may-need-to-be-replaced/#post-8349 License:AGPLv3
License:Unknown
Web Site:http://openbmap.org Web Site:http://openbmap.org
Source Code:https://code.google.com/p/openbmap Source Code:https://code.google.com/p/openbmap
Issue Tracker:http://sourceforge.net/projects/myposition/support Issue Tracker:http://sourceforge.net/projects/myposition/support
@ -16,14 +14,24 @@ openBmap is a free and open map of wireless communicating objects.
Collected data can be downloaded from the website and used for many purposes, Collected data can be downloaded from the website and used for many purposes,
such as determining your own location without GPS or creating network coverage such as determining your own location without GPS or creating network coverage
maps. maps.
Hint: Use long-press on a session to upload it to the server.
Status: Testing
. .
Repo Type:git Repo Type:git
Repo:https://code.google.com/p/openbmap Repo:https://code.google.com/p/openbmap
Build Version:1.0,1,!not production ready according to source code page; no license Build Version:1.0,1,fe1f5fe76b,subdir=android,\
init=rm -rf bin/ && sed -i '/proguard/d' project.properties,\
srclibs=Mapsforge@0f71a427bd50,\
build=$$MVN3$$ clean package -DskipTests -f $$Mapsforge$$/pom.xml && \
mv $$Mapsforge$$/mapsforge-map/target/\
mapsforge-map-0.3.1-SNAPSHOT-jar-with-dependencies.jar libs/
Auto Update Mode:None Auto Update Mode:None
# apk are in bin/
Update Check Mode:RepoManifest Update Check Mode:RepoManifest
Current Version:1.0 Current Version:1.0
Current Version Code:1 Current Version Code:1

4
srclibs/Mapsforge.txt Normal file
View file

@ -0,0 +1,4 @@
# Source details (the only mandatory fields)
Repo Type:git
Repo:https://code.google.com/p/mapsforge